Page MenuHomePhabricator

WikibaseRepo to be mobile friendly (tracking)
Closed, DuplicatePublic

Description

Tracking bug to create an enhanced mobile experience for Wikidata.


Version: unspecified
Severity: normal
Platform: Smartphone

Details

Reference
bz43065

Related Objects

Event Timeline

bzimport raised the priority of this task from to Normal.Nov 22 2014, 1:11 AM
bzimport set Reference to bz43065.
Denny created this task.Dec 13 2012, 11:55 AM

This is a tracking bug tracking no bugs. In bug 41976 comment 5 Denny said:

Wikidata actually works quite well on the smartphones and tablets we have
tested it. It is not really mobile-friendly though. We will post a tracking bug
for a good mobile Wikidata experience, but we probably won't cover it within
the first development year.

According to http://en.wikidata.org/wiki/Special:Version MobileFrontend is not installed in Wikidata. Is there a place where we can test Wikidata content (fake or real) in mobile devices?

Although interestingly has ZeroRatedMobileAccess installed. A contradiction?

My reason to ask is that Lydia is proposing "to create a mobile version of the Wikidata website for easy reading and editing on phones" as a Google Summer of Code project:

http://www.mediawiki.org/wiki/Mentorship_programs/Possible_projects#Mobile_website

About reading, it looks like we are basically talking about a good way for MobileFrontend to handle tables. Or is there anything else relevant to Wikidata only? Bug 36936 and Bug 28528 are already trying to address good rendering of tables in MobileFrontend. Marking them cautiously blockers of this bug.

Anything else?

About editing... We are currently not supporting mobile editing for any site. Again, it looks like Wikidata needs would concentrate in mobile editing of tables. The good news is that Wikidata pages are basically made out of form fields with plain or very basic text. The not so good news is that the content of those fields needs to be quite precise, not the best for mobile typing.

Still, I can see the point in Wikidata mobile editing, perhaps open to certain types of fields / actions. But it is quite pointless to ask this before mobile reading is ready...

Adding the Mobile team for good syncing.

Ok, so the first strategic decision here seems to be whether you want to prioritize "mobile friendliness" via mobile web (e.g. improving MobileFrontend) or via a Wikidata app.

I can see how tempting it is to say "let's build an app" but it would be a bit senseless to start that big task before testing Wikidata with MobileFrontend first.

Is it possible to have a Wikidata / WikidataRepo test instance somewhere
with MobileFrontend enabled, so we can all have a look and know more
about the gap this project should fill?

aude added a comment.Apr 11 2013, 9:22 PM

We can setup MobileFrontend on one of our test systems on labs. That would enable us to see what works already and what specific things might be needed to fill the gap.

We shall file a separate bug ticket for setting up MobileFrontend (awaiting creation of bugzilla component for our labs project)

Background: we have a GSOC student interested in this project and waiting for an agreed approach from our side:

http://lists.wikimedia.org/pipermail/wikitech-l/2013-April/068282.html
http://lists.wikimedia.org/pipermail/wikitech-l/2013-April/068319.html

aude added a comment.Apr 11 2013, 9:25 PM

and I suggest as an initial goal, just to have optimized viewing on the mobile wikidata website.

Mobile web seems the way to go (the current focus for WMF for Wikipedia), at least initially. Get the basics working well, and then see about follow-up goals.

Pasting Brion's feedback in wikitech-l not to miss it:

On 04/17/2013 08:02 AM, Brion Vibber wrote:

What you probably want to do is *integrate with* MobileFrontend, but keep
your code within WikiBase extension and friends.
There's provisions now for specifying desktop or mobile targets separately
in ResourceLoader, which will let you load either the same or different CSS
and JS for mobile views. You could also format your special pages
differently, but I recommend doing the differences in CSS and JS if you
can, to keep things clean.
But you could also detect that mobile view is in use and change the
formatting of a Special: page directly, for instance.
From what I remember, the base HTML of the data editing forms is relatively
straightforward, but might not fit well on small screens, so definitely
consider the user-interface needs of a ~320x480px screen when planning what
to do. :)

pragun06 wrote:

Hello,

For reference, I'm the student interested in working on this project that Quim Gil was referring to. I've drawn a proposal for this project and would appreciate some feedback.

mediawiki.org/wiki/User:Pragunbhutani/GSoC_2013_Proposal

Thanks!

91govindkumar wrote:

I have sound idea about PHP, Javascript, HTML. Experience developing mobile app development and wanted to do this project for gsoc 13.

Govind, thank you for submitting a GSoC proposal related to this report. We are requiring all students to publish their proposals publicly. I left instructions in your GSoC proposal page.

pragun06 wrote:

Hello, I've been selected to work on this bug for GSoC 2013. Details about my project can be found on the proposal page :
http://www.mediawiki.org/wiki/User:Pragunbhutani/GSoC_2013_Proposal

Here's a link to the project's public page on Google Mélange :
http://www.mediawiki.org/wiki/User:Pragunbhutani/GSoC_2013_Proposal

I'm currently in the process of interacting with my mentors as a part of the community bonding period. I've set up a feed(RSS) in case anybody would like to stay in touch with updates and the like :
http://www.pragunbhutani.in/category/gsoc/feed/

Thanks!

GSoC "soft pencils down" date was yesterday and all coding must stop on 23 September. Has this project been completed?

pragun06 wrote:

Hello Quim!
No it hasn't been completed, but I'm very close to the end. There are a few loose ends to tie and I'm expecting to get it all done within the week!

More details regarding project status and solution approach may be found on the following pages:

https://www.mediawiki.org/w/index.php?title=User:Pragunbhutani/GSoC_2013_Updates
https://www.mediawiki.org/wiki/User:Pragunbhutani/GSoC_2013_Implementation_Approaches

pragun06 wrote:

End of GSoC 2013. Bug still isn't completely solved but good progress has been made and I'm still working on it.
Summary of my Google Summer of Code project can be found here : http://blog.pragunbhutani.in/articles/google-summer-of-code-2013-wrap-up/

If you have open tasks or bugs left, one possibility is to list them at https://www.mediawiki.org/wiki/Google_Code-In and volunteer yourself as mentor.

We have heard from Google and free software projects participating in Code-in that students participating in this programs have done a great work finishing and polishing GSoC projects, many times mentores by the former GSoC student. The key is to be able to split the pending work in little tasks.

More information in the wiki page. If you have questions you can ask there or you can contact me directly.

[replacing wikidata keyword by adding CC - see bug 56417]

(In reply to Pragun Bhutani from comment #13)

No it hasn't been completed, but I'm very close to the end. There are a few
loose ends to tie and I'm expecting to get it all done within the week!

Pragun:
What is the status of this bug report? Can it be considered FIXED nowadays?
If not, what are the specific tasks which are left to do?

pragun06 wrote:

Hello Andre,

I haven't made any progress on the skin since the last update. I'm entirely at fault for that. I graduated right with the end of GSoC and have been getting busy getting myself a job and all that that entails. You just pulled me right back in though, and I thank you for that! I still take responsibility for my project and I think it's high time I get to it.

I'll be on the IRC.

I'm going to close this. We'll consider it as part of the UI redesign we're working on. No need to keep this around.

Restricted Application added a project: Wikidata. · View Herald TranscriptJun 7 2017, 7:04 PM